Bug 849863 - There are some typos in error message when input unknown output format for virt-convert
There are some typos in error message when input unknown output format for vi...
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 02:35 EDT by Cui Lei
Modified: 2014-07-06 15:31 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-17 10:44:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cui Lei 2012-08-21 02:35:39 EDT
Description of problem:
There is a typo in error message when input unknown output format for virt-convert,
when run command "virt-convert -i virt-image -o vmx123 image.xml", the error message would display:
"virt-convert: error: Unknown output format "vmx123")", the last bracket should be removed.

There are also two other two error messages have the same issue.
virt-convert: error: No output handler for format "ovf")
virt-convert: error: Unknown input format "asdf")


Version-Release number of selected component (if applicable):
python-virtinst-0.600.0-8.el6.noarch

How reproducible:
100%

Steps to Reproduce:
Run a virt-convert command with unknown output format
# virt-convert -i virt-image -o vmx123 image.xml
check the error message

Actual results:
virt-convert: error: Unknown output format "vmx123")

Expect result:
virt-convert: error: Unknown output format "vmx123"
Comment 2 Alex Jia 2012-08-21 23:08:54 EDT
Patch on upstream and wait for review:
https://www.redhat.com/archives/virt-tools-list/2012-August/msg00050.html
Comment 3 Cole Robinson 2013-08-17 10:44:54 EDT
This is fixed upstream these days

Note You need to log in before you can comment on or make changes to this bug.